/*
 * Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: ExceptionThrowingStringBean.java 69498 2013-01-14 14:49:15Z supol $ 
 */

package com.sun.ts.tests.jaxrs.api.rs.ext.interceptor.reader.readerinterceptorcontext;

import java.io.IOException;

import javax.ws.rs.WebApplicationException;

import com.sun.ts.tests.jaxrs.api.rs.ext.interceptor.TemplateInterceptorBody;
import com.sun.ts.tests.jaxrs.common.provider.StringBean;

public class ExceptionThrowingStringBean extends StringBean {

	public ExceptionThrowingStringBean(String header) {
		super(header);
		if (!header.equals(TemplateInterceptorBody.WAE))
			throw new WebApplicationException(new IOException(header));
	}
	
	public ExceptionThrowingStringBean(String header, boolean b) {
		super(header);
	}	
}
